#Usage: ./uploadbatch.sh filename accounting-month
#e.g. ./uploadbatch.sh april_jib.zip 2016-04

#!/bin/bash
hostname="demo.energylink.com"
userid="USERID"
password="PassWord"

echo "File will be sent to '$hostname' using User ID '$userid'"
echo "Creating SOAP Envelope for file '$1', accounting month '$2', operator org num '$3'..."
./makesoap.sh $userid $password $1 $2 $3

echo "Sending SOAP Envelope to web service..."
curl -H 'SOAPACTION: "http://www.jiblink.com/services/uploadbatch/UploadRevenue"' -X POST -H 'Content-type: text/xml' -d @./soap_request.xml "https://${hostname}/services/uploadbatch.asmx" > soap_response.xml

result=$(cat ./soap_response.xml | grep -oPm1 "(?<=<UploadRevenueResult>)[^<]+")

if [ "$result" == "OK" ]
then
  echo -ne "\e[32m$result"
else
  echo -ne "\e[31m$result"
fi

echo -e "\e[39m"

